/* ============================
   YAML FORMS
   ============================ */

.ym-form,
.ym-form fieldset { overflow:hidden; }

.ym-form div { position:relative; }

.ym-form label,
.ym-form .ym-message {
    position:relative;
    display:block;
}

.ym-form .ym-fbox-check label { display:inline; }

.ym-form input,
.ym-form textarea { cursor:text; }

.ym-form input[type="checkbox"],
.ym-form input[type="radio"],
.ym-form select,
.ym-form label { cursor:pointer; }

.ym-form textarea { overflow:auto; }

.ym-form input[type=hidden] { display:none !important; }

.ym-form .ym-fbox-text:before,
.ym-form .ym-fbox-select:before,
.ym-form .ym-fbox-check:before,
.ym-form .ym-fbox-button:before {
    content:"";
    display:table;
}

.ym-form .ym-fbox-text:after,
.ym-form .ym-fbox-select:after,
.ym-form .ym-fbox-check:after,
.ym-form .ym-fbox-button:after {
    clear:both;
    content:".";
    display:block;
    font-size:0;
    height:0;
    visibility:hidden;
}

.ym-form select,
.ym-form input,
.ym-form textarea {
    display:block;
    position:relative;
}

.ym-form .ym-fbox-check input {
    display:inline;
    width:auto;
}

.ym-form .ym-fbox-button input {
    display:inline;
    overflow:visible;
    width:auto;
}

.ym-full .ym-fbox-select select,
.ym-full .ym-fbox-text input,
.ym-full .ym-fbox-text textarea {
    width:94.2%;
    margin-right:-3px;
}

.ym-columnar .ym-fbox-text label,
.ym-columnar .ym-fbox-select label {
    display:inline;
    float:left;
    width:30%;
}

.ym-columnar .ym-fbox-check { position:relative; }

.ym-label { display:block; }
.ym-columnar .ym-fbox-check .ym-label {
    position:absolute;
    top:0;
}

.ym-columnar .ym-fbox-check input,
.ym-columnar .ym-error .ym-message {
    margin-left:30%;
}

.ym-columnar fieldset .ym-fbox-button,
fieldset.ym-columnar .ym-fbox-button {
    padding-left:30%;
}

.ym-columnar .ym-fbox-select select,
.ym-columnar .ym-fbox-text input,
.ym-columnar .ym-fbox-text textarea {
    float:left;
    width:67.2%;
    margin-right:-3px;
}

.ym-fbox-select select { width:60%; }
.ym-full .ym-fbox-select select { width:94.8%; }
.ym-columnar .ym-fbox-select select { width:68.8%; }
